%include %{_rpmconfigdir}/macros.python2

Name: python2-pycurl
Version: 7.43.0
Release: 4
License: LGPL+MIT
Summary: A Python Interface To The cURL library
Url: http://pycurl.io/
Source: https://files.pythonhosted.org/packages/12/3f/557356b60d8e59a1cce62ffc07ecc03e4f8a202c86adae34d895826281fb/pycurl-7.43.0.tar.gz

BuildRequires: python2-devel
BuildRequires: python2-pip
BuildRequires: curl-devel >= 7.65.3

BuildRequires: zlib-devel
BuildRequires: openssl-devel >= 1.1.1

# 7.65.3 is rebuilt with openssl 1.1
# Require versions of libcurl4 which were built with openssl 1.0.2. 
# 7.65.33 is the first release that has the 'Conflicts' for python2-pycrul
# to ensure compatability. Both packages must be in sync or yum will break.
Requires: libcurl4 >= 7.65.3

%description
PycURL is a Python interface to libcurl, the multiprotocol file transfer library. Similarly to the urllib Python module, PycURL can be used to fetch objects identified by a URL from a Python program. Beyond simple fetches however PycURL exposes most of the functionality of libcurl, including:

    Speed - libcurl is very fast and PycURL, being a thin wrapper above libcurl, is very fast as well. PycURL was benchmarked to be several times faster than requests.
    Features including multiple protocol support, SSL, authentication and proxy options. PycURL supports most of libcurl’s callbacks.
    Multi and share interfaces.
    Sockets used for network operations, permitting integration of PycURL into the application’s I/O loop (e.g., using Tornado).


%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} %{SOURCE0}

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/*

%{_docdir}/pycurl

%changelog
* Tue Sep 24 2019 Mark Irish <mirish@ibm.com> - 7.43.0
- Ensure that versions of pycurl built with openssl 1.1 require versions of
  libcurl4 built with openssl 1.1

* Mon Sep 23 2019 Mark Irish <mirish@ibm.com> - 7.43.0
- Update openssl-dev version to >= 1.1.1

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure necessary dependencies listed
- Remove -I and --no-deps from pip install so dependencies build from yum

* Wed Aug 08 2018 - Kevin Adler <kadler@us.ibm.com>
- Ensure package can build with build.py

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial Commit
